# Workflow logging

## ![](/files/BKk9PMkSkoNtdhbpt3dn) Workflow logging

### Description <a href="#description" id="description"></a>

The Workflow Logging transform receives its input from a [Workflow Log](/data-shaper-1.21/knowing-the-data-shaper-designer/index-2/workflow-log.md) metadata item.

The transform requires very little configuration, but provides a lot of information.

| Hop Engine | <sup>✓</sup> |
| ---------- | ------------ |
| Spark      | ?            |
| Flink      | ?            |
| Dataflow   | ?            |

### Related Plugins

* [Workflow Log](/data-shaper-1.21/knowing-the-data-shaper-designer/index-2/workflow-log.md)&#x20;

### Options

| Option                  | Description                                                                                                                                                                                                                                                                                                       |
| ----------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Transform name          | Name of this transform                                                                                                                                                                                                                                                                                            |
| Also log action details | <ul><li>checked: the transform outputs both workflow and action logging and metrics. In this case, the logging will contain one line per action. For each action, the workflow logging and metrics information is repeated.</li><li>unchecked: the transform only outputs workflow logging and metrics.</li></ul> |

### Output Fields <a href="#output_fields" id="output_fields"></a>

| Fieldname                   | Type    | Description                                                                                        |
| --------------------------- | ------- | -------------------------------------------------------------------------------------------------- |
| **Workflow Logging Fields** |         |                                                                                                    |
| loggingDate                 | Date    | the date and time this workflow was executed                                                       |
| loggingPhase                | String  | the phase this workflow is in at the time of logging (e.g. 'end')                                  |
| workflowName                | String  | the logged workflow name                                                                           |
| workflowFilename            | String  | the logged workflow file name                                                                      |
| workflowStart               | Date    | execution start date for the logged workflow                                                       |
| workflowEnd                 | Date    | execution end date for the logged workflow                                                         |
| workflowLogChannelId        | String  | logging channel id for the logged workflow                                                         |
| parentLogChannelId          | String  | parent logging channel id for the logged workflow (e.g. the channel id of the parent workflow)     |
| workflowLogging             | String  | full logging text for the logged workflow                                                          |
| workflowErrorCount          | Integer | number of errors that occurred in the logged workflow execution                                    |
| workflowStatusDescription   | String  | status description for the logged workflow (e.g. 'Finished')                                       |
| **Action Logging Fields**   |         |                                                                                                    |
| actionName                  | String  | the name of the action in the logged pipeline                                                      |
| actionNr                    | Integer | the number of the current action                                                                   |
| actionResult                | Boolean | the result (exit code, Y/N) of the current action                                                  |
| actionLogChannelId          | String  | log channel id for the current action                                                              |
| actionLoggingText           | String  | logging text for the current action                                                                |
| actionErrors                | Integer | number of errors for the current action                                                            |
| actionLogDate               | String  | status of the current action (e.g. 'Finished')                                                     |
| actionDuration              | Integer | total duration for the current action                                                              |
| actionExitStatus            | Integer | exit status of the current action                                                                  |
| actionNrFilesRetrieved      | Integer | the number of files retrieved by the current transform (if applicable)                             |
| actionFilename              | String  | the filename to use for the current action, e.g. the workflow or pipeline the current action runs. |
| actionComment               | String  | an optional comment added to the logs, e.g. 'Workflow execution finished'                          |
| actionReason                | String  | an optional reason provided by the current action                                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.primeur.com/data-shaper-1.21/knowing-the-data-shaper-designer/pipelines/transforms/workflow-logging.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
